org.apache.lucene.search.highlight

## Interface Encoder

- All Known Implementing Classes:
    DefaultEncoder, SimpleHTMLEncoder

      public interface Encoder

  Encodes original text. The Encoder works with the `Formatter` to generate output.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `encodeText(java.lang.String originalText)`

- - ### Method Detail

    - #### encodeText

          java.lang.String encodeText(java.lang.String originalText)

      Parameters:
        `originalText` - The section of text being output

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.